Bug 13693 - Trash-bin doesn't get empty sometimes
Summary: Trash-bin doesn't get empty sometimes
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 6
Assignee: Atilla ÖNTAŞ
QA Contact:
URL:
Whiteboard: MGA6TOO
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-07 06:29 CEST by Kristoffer Grundström
Modified: 2017-06-02 20:41 CEST (History)
2 users (show)

See Also:
Source RPM: trash
CVE:
Status comment:


Attachments

Description Kristoffer Grundström 2014-07-07 06:29:08 CEST
Description of problem: I have noticed that the trash-bin when using MATE doesn't get cleared when you rightclick on it and choosing "Empty trash".

If you add some more files to the trash-bin and reboot the computer the trash-bin is emptied.

Version-Release number of selected component (if applicable): 1.6.0

How reproducible: Every now and then.

Steps to Reproduce:
1. Throw some items to the trash.
2. Rightclick on Trash and click "Empty trash".
3. Nothing happens.


Reproducible: 

Steps to Reproduce:
Comment 1 Kristoffer Grundström 2014-07-07 06:30:12 CEST
This is for the 3.12.21-desktop-2.mga4 kernel.
Comment 2 Atilla ÖNTAŞ 2014-07-11 01:47:31 CEST
Do you see any errors at journalctl output or .xsession-errors? This is really weird because. Are you sure that your ~/.local/share/Trash directory and its subdirectories have relevant permissions, not owned by anyone else?
Comment 3 Kristoffer Grundström 2014-07-16 03:16:46 CEST
ls -l for ~/.local/share/Trash gives me:

drwx------ 5 kristoffer kristoffer   4096 jul  9 23:08 Trash/
Comment 4 Atilla ÖNTAŞ 2014-11-04 08:08:00 CET
Kristoffer, is this still an issue after latest MATE updates? I can not reproduce this bug.
Comment 5 Kristoffer Grundström 2014-11-04 12:30:12 CET
(In reply to Atilla ÃNTAÅ from comment #4)
> Kristoffer, is this still an issue after latest MATE updates? I can not
> reproduce this bug.

Yes. It is.
Comment 6 Atilla ÖNTAŞ 2014-11-05 20:10:32 CET
(In reply to Kristoffer Grundström from comment #5)
> (In reply to Atilla ÃNTAÅ from comment #4)
> > Kristoffer, is this still an issue after latest MATE updates? I can not
> > reproduce this bug.
> 
> Yes. It is.

OK. What do you get with "gvfs-trash --empty" command? Any errors?
Comment 7 Kristoffer Grundström 2015-01-16 16:47:30 CET
(In reply to Atilla ÃNTAÅ from comment #6)
> (In reply to Kristoffer Grundström from comment #5)
> > (In reply to Atilla ÃNTAÅ from comment #4)
> > > Kristoffer, is this still an issue after latest MATE updates? I can not
> > > reproduce this bug.
> > 
> > Yes. It is.
> 
> OK. What do you get with "gvfs-trash --empty" command? Any errors?

I ran it and go no error, but the icon still shows that it's NOT empty.
Comment 8 Kristoffer Grundström 2015-01-16 16:49:26 CET
Even if I just throw a shortcut of an old file that's no longer existing I don't get any error, but still the Trash bin looks the same.
Comment 9 Atilla ÖNTAŞ 2015-04-15 15:57:40 CEST
Kristoffer, i really can not reproduce this; but one thing is in my mind. Does trash not emptied or it is emptied but shows full icon?
Comment 10 Kristoffer Grundström 2015-04-16 11:48:13 CEST
The latter.
Comment 11 Atilla ÖNTAŞ 2015-04-16 12:40:00 CEST
That's a problem with your icon theme then. Are you using icon theme from mate-icon-theme package or from elsewhere. Many icon themes from gnome-look.org are designed to be used with GNOME(2); thus naming of user-trash or user-trash-full icon may vary.
Comment 12 Atilla ÖNTAŞ 2015-04-16 12:49:26 CEST
It seems to me its a long running bug from GNOME2 days:
https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/269441
https://bugs.launchpad.net/ubuntu/+source/gnome-applets/+bug/390608
https://bugzilla.gnome.org/show_bug.cgi?id=583797

There is a workaround in Linux Mint forums, would you mind to try that:
http://forums.linuxmint.com/viewtopic.php?f=90&t=42052#p881223
Comment 13 Samuel Verschelde 2015-09-21 13:20:47 CEST
Mageia 4 changed to end-of-life (EOL) status on 2015-09-19. It is is no longer 
maintained, which means that it will not receive any further security or bug 
fix updates.

Package Maintainer: If you wish for this bug to remain open because you plan to 
fix it in a currently maintained version, simply change the 'version' to a later 
Mageia version.

Bug Reporter: Thank you for reporting this issue and we are sorry that we weren't 
able to fix it before Mageia 4's end of life. If you are able to reproduce it 
against a later version of Mageia, you are encouraged to click on "Version" and 
change it against that version of Mageia. If it's valid in several versions, 
select the highest and add MGAxTOO in whiteboard for each other valid release.
Example: it's valid in cauldron and Mageia 5, set to cauldron and add MGA5TOO.

Although we aim to fix as many bugs as possible during every release's lifetime, 
sometimes those efforts are overtaken by events. Often a more recent Mageia 
release includes newer upstream software that fixes bugs or makes them obsolete.

If you would like to help fixing bugs in the future, don't hesitate to join the
packager team via our mentoring program [1] or join the teams that fit you 
most [2].

[1] https://wiki.mageia.org/en/Becoming_a_Mageia_Packager
[2] http://www.mageia.org/contribute/
Comment 14 Marja van Waes 2015-10-27 06:57:57 CET
As announced over a month ago, Mageia 4 changed to end-of-life (EOL) status on 2015-09-19. It is is no longer maintained, which means that it will not receive any further security or bug fix updates.

This issue may have been fixed in a later Mageia release, so, if you still see it and didn't already do so: please upgrade to Mageia 5 (or, if you read this much later than this is written: make sure you run a currently maintained Mageia version)

If you are able to reproduce it against a maintained version of Mageia, you are encouraged to 
1. reopen this bug report, by changing the "Status" from "RESOLVED - OLD" to "REOPENED"
2. click on "Version" and change it against that version of Mageia. If you know it's valid in several versions, select the highest and add MGAxTOO in whiteboard for each other valid release.
Example: it's valid in cauldron and Mageia 5, set to cauldron and add MGA5TOO.
3. give as much relevant information as possible. If you're not an experienced bug reporter and have some time: please read this page:
https://wiki.mageia.org/en/How_to_report_a_bug_properly

If you see a similar issue, but are _not_sure_ it is the same, with the same cause, then please file a new bug report and mention this one in it (please include the bug number, too). 


If you would like to help fixing bugs in the future, don't hesitate to join the
packager team via our mentoring program [1] or join the teams that fit you 
most [2].
[1] https://wiki.mageia.org/en/Becoming_a_Mageia_Packager
[2] http://www.mageia.org/contribute/
Comment 15 Kristoffer Grundström 2017-06-02 06:53:59 CEST
Problem has come back in the RC version. I'm only using Plasma5 as DE this time.
Comment 16 Kristoffer Grundström 2017-06-02 07:03:11 CEST
I ran rm -rf ~/.local/share/Trash/* and it's looks empty in Dolphin, but not on the desktop.
Comment 17 Atilla ÖNTAŞ 2017-06-02 20:41:06 CEST
Hi Kristoffer. Same symptomps but different desktop here.Please close this bug report if this is not an issue about Mate and open a new one for Plasma. Thank you for your reporting.

Note You need to log in before you can comment on or make changes to this bug.